summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author B. Watson2021-01-22 22:00:32 +0100
committer Willy Sudiarto Raharjo2021-01-23 12:18:51 +0100
commit55ebe04adfaa190a56f24372b34d016242b17535 (patch)
tree34e22481532d3f2f99163f188dd8871e1c60b753 /system
parentd183a7b3f6237264941fe34594208ccfd3d4b2bf (diff)
downloadslackbuilds-55ebe04adfaa190a56f24372b34d016242b17535.tar.gz
system/linux-vt-setcolors: Added (change color palette in Linux tty)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/linux-vt-setcolors/README8
-rw-r--r--system/linux-vt-setcolors/linux-vt-setcolors.SlackBuild76
-rw-r--r--system/linux-vt-setcolors/linux-vt-setcolors.info10
-rw-r--r--system/linux-vt-setcolors/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/system/linux-vt-setcolors/README b/system/linux-vt-setcolors/README
new file mode 100644
index 0000000000..6f1072302b
--- /dev/null
+++ b/system/linux-vt-setcolors/README
@@ -0,0 +1,8 @@
+linux-vt-setcolors (change color palette in Linux console)
+
+This little utility can be used to change the default color palette
+of the Linux virtual console. The program accepts a configuration file
+containing the colors to use, in hexadecimal form.
+
+The executable is named "setcolors". Sample config files are included
+in the package. See: /usr/doc/linux-vt-setcolors-$VERSION/example-colors
diff --git a/system/linux-vt-setcolors/linux-vt-setcolors.SlackBuild b/system/linux-vt-setcolors/linux-vt-setcolors.SlackBuild
new file mode 100644
index 0000000000..48957505e6
--- /dev/null
+++ b/system/linux-vt-setcolors/linux-vt-setcolors.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for linux-vt-setcolors
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# I don't know why upstream refers to the console as a "VT101". The
+# kernel source claims it's a VT102 implementation... but both a VT101
+# and a VT102 are monochrome terminals, so neither name is all that
+# accurate...
+
+PRGNAM=linux-vt-setcolors
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# Makefile has too much hard-coded stuff.
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1
+EXE=setcolors
+gcc -Wall $SLKCFLAGS -Wl,-s -o $PKG/usr/bin/$EXE $EXE.c
+gzip -9c < $EXE.1 > $PKG/usr/man/man1/$EXE.1.gz
+
+# Project name and executable name are different, include this symlink
+# in case someone (probably me) forgets.
+ln -s $EXE.1.gz $PKG/usr/man/man1/$PRGNAM.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE* README* example-colors $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/linux-vt-setcolors/linux-vt-setcolors.info b/system/linux-vt-setcolors/linux-vt-setcolors.info
new file mode 100644
index 0000000000..92ee0d8c30
--- /dev/null
+++ b/system/linux-vt-setcolors/linux-vt-setcolors.info
@@ -0,0 +1,10 @@
+PRGNAM="linux-vt-setcolors"
+VERSION="1.0.0"
+HOMEPAGE="https://github.com/EvanPurkhiser/linux-vt-setcolors"
+DOWNLOAD="https://github.com/EvanPurkhiser/linux-vt-setcolors/archive/v1.0.0/linux-vt-setcolors-1.0.0.tar.gz"
+MD5SUM="789b4dc02d1c4f509b3b01450c7ef980"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/linux-vt-setcolors/slack-desc b/system/linux-vt-setcolors/slack-desc
new file mode 100644
index 0000000000..d1eddc0433
--- /dev/null
+++ b/system/linux-vt-setcolors/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+linux-vt-setcolors: linux-vt-setcolors (change color palette in Linux console)
+linux-vt-setcolors:
+linux-vt-setcolors: This little utility can be used to change the default color palette
+linux-vt-setcolors: of the Linux virtual console. The program accepts a configuration file
+linux-vt-setcolors: containing the colors to use, in hexadecimal form.
+linux-vt-setcolors:
+linux-vt-setcolors: The executable is named "setcolors". Sample config files are included
+linux-vt-setcolors: in the package. See:
+linux-vt-setcolors: /usr/doc/linux-vt-setcolors-$VERSION/example-colors
+linux-vt-setcolors:
+linux-vt-setcolors: